Arc Forumnew | comments | leaders | submitlogin
8 points by pg 3312 days ago | link | parent

Oops, should have mentioned you have to use MzScheme v372.

Arc has mutable conses, so it would have been hard to make it work with versions of MzScheme after they switched to making lists immutable.



3 points by w8lvn 3310 days ago | link

Install doc at top of arclanguage.org says to use 352, turns out to be issue with 64 bit systems.

-----

3 points by pg 3310 days ago | link

Use 352 with arc2.tar (the old, stable release), 372 with arc3.tar (the latest release, still being fixed).

-----

1 point by w8lvn 3310 days ago | link

Trying arc for the first time. Unable to get version 372 on my 64 bit systems.

Any way to get this to work with a later version of mzscheme?

-----

2 points by CatDancer 3310 days ago | link

How about http://download.plt-scheme.org/drscheme/plt-372-bin-x86_64-l... ?

Sadly Arc hasn't been ported to mzscheme version 4 yet.

-----

1 point by w8lvn 3310 days ago | link

Ach.

Thanks. For some reason was trying 352.

Thanks.

-----

1 point by anarcer 3312 days ago | link

ya, it works, all ok for now... nice...

-----